#! /usr/bin/env bash

set -o errexit

image="$1"
[ -n "$image" ] || image="docker.io/chsa/tomo-remote:evelina"

container=$(buildah from "$image")
buildah run $container sh -c "echo '$(id -ng):x:$(id -g):' >> /etc/group"
#buildah run $container sh -c "echo '$(id -nu):x:$(id -u):$(id -g):$(id -nu):/ccpi/data:/bin/bash' >> /etc/passwd"
buildah run $container sh -c "echo '$(id -nu):x:0:0:$(id -nu):/ccpi/data:/bin/bash' >> /etc/passwd"
buildah run $container sh -c "echo '$(id -nu):test' | chpasswd"
buildah commit --format docker $container tomo-remote:latest

echo "$container build from ${image} and saved as tomo-remote:latest"
