#! /bin/bash

set -o errexit

. config.sh

if [ ! -d ../repos ]; then
    buildah unshare bash ../build/extract.sh  ${image}
fi

podman run --name "ccpi-devel" -it --rm $options -p $ssh_port:2222/tcp $volumes ${image} bash -c "[ -f /usr/bin/supervisord ] && python /usr/bin/supervisord; bash /root/setup/provision.sh; bash"
