#! /bin/bash

set -o errexit

. config.sh

echo "Running ssh on the port $ssh_port"
echo "Create ssh tunnel and connect:"
echo "    ssh -L $ssh_port:localhost:$ssh_port $(hostname)"
echo " and connect locally "
echo "    ssh -p $ssh_port localhost"

podman run --name "ccpi-run" -it --rm $options -p ${ssh_port}:2222/tcp $volumes ${image} /usr/sbin/sshd -D -p 2222
