#! /usr/bin/env bash

real_script=$(readlink "$0")
[ -z "$real_script" ] && real_script="$0"
script_path=$(dirname "$real_script")

set -o errexit

# Do both (as framework's cmake install python files in invalid location)
[ -f CMakeLists.txt ] && bash "$script_path/cmake.sh"
[ -d Wrappers/Python ] && bash "$script_path/python.sh"

# Hack for CCPi-regularization-toolkit
[ -d src/Core ] && make -C src/Core install

exit 0
