#! /bin/bash

set -o errexit

. config.sh

echo "Running jupyter on the port $web_port"
echo "Create ssh tunnel and use browser to connect http://localhost:$web_port"
echo "    ssh -L $web_port:localhost:$web_port $(hostname)"
echo "Generate password file '/ccpi/data/.jupyter/jupyter_notebook_config.json' with running in the container the following command"
echo "    jupyter notebook password"

podman run --name "ccpi-run" -it --rm $options -p ${web_port}:8888/tcp $volumes ${image} jupyter notebook --allow-root --no-browser --ip 0.0.0.0 --port=8888 --notebook-dir=/ccpi/data/ --debug